> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://support.atomicwork.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://support.atomicwork.com/_mcp/server.

# Get list of options for the field identified by reference_key

GET https://{tenant}.atomicwork.com/api/v1/forms/{entity_type}/{reference_key}/options

Reference: https://support.atomicwork.com/api-reference/atomicwork-public-api/forms/getapi-v-1-forms-entity-type-reference-key-options

## Authentication

- `X-Api-Key` header (required) — API Key authentication via header

## Request

### Path parameters

- `entity_type` (enum, required)
  - Allowed values: `REQUEST`, `SERVICE_REQUEST`, `QUESTION_REQUEST`, `INCIDENT_REQUEST`, `INCIDENT`, `PROBLEM_REQUEST`, `PROBLEM`, `USER`, `SERVICE_ITEM`, `CUSTOM_FORM`, `SURVEY`, `ASSET`, `CHANGE`, `CHANGE_TEMPLATE`, `CUSTOM_OBJECT`, `STANDALONE`, `EXTERNAL_WEBHOOK`
- `reference_key` (string, required) — The reference key of a dropdown, multi dropdown, nested dropdown field

### Query parameters

- `workspace_id` (long, optional) — The workspace id
- `request_sub_type` (enum, optional)
  - Allowed values: `REQUEST`, `INCIDENT`, `SERVICE_REQUEST`, `PROBLEM`, `CHANGE`, `MAJOR_INCIDENT`
- `request_id` (string, optional) — The request display ID
- `entity_id` (long, optional) — The service item id in case entity_type is SERVICE_ITEM
- `parent_option_id` (long, optional)
- `search_key` (string, optional)
- `selected_option_ids` (list of long, optional)
- `page` (integer, required, default: 1)
- `per_page` (integer, optional, default: 25)
- `view` (enum, optional)
  - Allowed values: `HOME`, `WORKFLOW`, `JOURNEY`, `LIST`, `INSIGHTS`, `CUSTOM_SLA`, `ASSET_LIST`, `RELATIONSHIP_ATTRIBUTE`, `SCHEDULE_WORKFLOW`, `SEARCH`, `NOTIFICATIONS`, `ASSET_RELATIONSHIPS`, `USER_SEGMENTS`, `MULTI_SOURCE_SYNC`, `MAJOR_INCIDENT_CREATE`, `APPROVERS`, `CHANGE_WINDOW`
- `is_flattened_nested_field_required` (boolean, optional, default: false)
- `include_any` (boolean, optional, default: false)
- `is_value_required_as_id` (boolean, optional, default: false)
- `field_entity_source` (enum, optional)
  - Allowed values: `JSM`, `SERVICE_NOW`, `INTERNAL`
- `external_field_type` (enum, optional)
  - Allowed values: `USER`, `PROFORMA`

### Headers

- `X-Workspace-Id` (string, optional)

## Response

### 200

Successful response

## Examples

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://{tenant}.atomicwork.com/api/v1/forms/REQUEST/reference_key/options"

querystring = {"external_field_type":"USER","field_entity_source":"JSM","page":"1","request_sub_type":"REQUEST","view":"HOME"}

headers = {
    "X-Workspace-Id": "{{workspace_id}}",
    "X-Api-Key": "<apiKey>"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://{tenant}.atomicwork.com/api/v1/forms/REQUEST/reference_key/options?external_field_type=USER&field_entity_source=JSM&page=1&request_sub_type=REQUEST&view=HOME';
const options = {
  method: 'GET',
  headers: {'X-Workspace-Id': '{{workspace_id}}', 'X-Api-Key': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://{tenant}.atomicwork.com/api/v1/forms/REQUEST/reference_key/options?external_field_type=USER&field_entity_source=JSM&page=1&request_sub_type=REQUEST&view=HOME"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Workspace-Id", "{{workspace_id}}")
	req.Header.Add("X-Api-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://{tenant}.atomicwork.com/api/v1/forms/REQUEST/reference_key/options?external_field_type=USER&field_entity_source=JSM&page=1&request_sub_type=REQUEST&view=HOME")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Workspace-Id"] = '{{workspace_id}}'
request["X-Api-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://{tenant}.atomicwork.com/api/v1/forms/REQUEST/reference_key/options?external_field_type=USER&field_entity_source=JSM&page=1&request_sub_type=REQUEST&view=HOME")
  .header("X-Workspace-Id", "{{workspace_id}}")
  .header("X-Api-Key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://{tenant}.atomicwork.com/api/v1/forms/REQUEST/reference_key/options?external_field_type=USER&field_entity_source=JSM&page=1&request_sub_type=REQUEST&view=HOME', [
  'headers' => [
    'X-Api-Key' => '<apiKey>',
    'X-Workspace-Id' => '{{workspace_id}}',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://{tenant}.atomicwork.com/api/v1/forms/REQUEST/reference_key/options?external_field_type=USER&field_entity_source=JSM&page=1&request_sub_type=REQUEST&view=HOME");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Workspace-Id", "{{workspace_id}}");
request.AddHeader("X-Api-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Workspace-Id": "{{workspace_id}}",
  "X-Api-Key": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://{tenant}.atomicwork.com/api/v1/forms/REQUEST/reference_key/options?external_field_type=USER&field_entity_source=JSM&page=1&request_sub_type=REQUEST&view=HOME")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```